Subject: [MMUSIC] New Version Notification for draft-martinsen-mmusic-malice-00.txt

From: "Pal Martinsen (palmarti)" <[email-masked]>
Date: Tue, 2 Jul 2013 12:46:59 +0000

Hi,

We submitted a new draft called MALICE today. It is all about smarter application/network communication. Se abstract for some details. Read the whole draft to get a lot more details.

> 
> A new version of I-D, draft-martinsen-mmusic-malice-00.txt
> has been successfully submitted by Reinaldo Penno and posted to the
> IETF repository.
> 
> Filename:	 draft-martinsen-mmusic-malice
> Revision:	 00
> Title:		 Meta-data Attribute signaLling with ICE
> Creation date:	 2013-07-02
> Group:		 Individual Submission
> Number of pages: 33
> URL:             http://www.ietf.org/internet-drafts/draft-martinsen-mmusic-malice-00.txt
> Status:          http://datatracker.ietf.org/doc/draft-martinsen-mmusic-malice
> Htmlized:        http://tools.ietf.org/html/draft-martinsen-mmusic-malice-00
> 
> 
> Abstract:
>   It can be useful for applications to provide flow metadata
>   information to on-path devices to influence flow treatment in the
>   network.  Provided that the network is able to provide useful
>   feedback, this can also influence path selection if an application
>   have multiple flow paths to choose from.
> 
>   This draft describes how this can be achieved by adding metadata to
>   the STUN packets sent during the ICE connectivity checks or a
>   slightly modified version of the keep-alive mechanism.  Devices on
>   the media path can use the metadata information to prioritize the
>   flow, perform traffic engineering, or provide network analytics and
>   notifications as requested by the endpoints.  On-path devices can
>   append or modify the existing metadata information in the STUN/ICE
>   messages to enable feedback to other on-path devices or the
>   applications in both ends of the media session.
> 
>   This document describes a framework mechanism for how such metadata
>   can be transported by STUN when ICE is in use and it covers the
>   endpoint and on path device processing.  The functionality described
>   here is referred to as MALICE.

.-.
Pål-Erik